%global dotname backports.functools_lru_cache
%global srcname backports-functools_lru_cache
%global sum A backport of functools.lru_cache from Python 3.3 as published at ActiveState

Name:           python-%{srcname}
Version:        1.2.1
Release:        4%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/b/%{dotname}/%{dotname}-%{version}.tar.gz
# setuptools_scm is too old in EPEL, and we don't need it anyway
Patch0:         %{name}-noscm.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# python2-setuptools is too old in EPEL7 for these
%if 0%{?fedora}
BuildRequires:  python2-setuptools_scm
BuildRequires:  python2-pytest-runner
%endif

%description
%{sum}.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{sum}.


%prep
%autosetup -n %{dotname}-%{version}


%build
%py2_build


%install
%py2_install


%check
# python2-setuptools is too old in EPEL7 to run tests
%if 0%{?fedora}
%{__python2} setup.py test
%endif


%files -n python2-%{srcname}
%doc CHANGES.rst README.rst
%{python2_sitelib}/*


%changelog
* Thu Mar 16 2017 Orion Poplawski <orion@cora.nwra.com> - 1.2.1-4
- setuptools_scm is too old in EPEL, and we don't need it anyways, so don't
  use it

* Thu Mar 9 2017 Orion Poplawski <orion@cora.nwra.com> - 1.2.1-4
- Do not run python 2 tests on EPEL7, setuptools is too old
- Drop python 3 package as this is a backport to python 2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.1-2
- Rebuild for Python 3.6

* Wed Sep 28 2016 Jon Ciesla <limburgher@gmail.com> - 1.2.1-1
- Initial package.
